<? session_start();
include 'cnn.php';
@$login = $_SESSION['login'];
@$senha = $_SESSION['senha'];
if(!isset($_SESSION['login'])) { echo "Para acessar essa pagina  preciso esta logado!"; }
else{
$Gms = mssql_fetch_row(mssql_query("select painelgm from memb_info where memb___id='".$login."'"));
if($Gms[0] <= 0) { echo "Voce nao faz parte da Administrao"; }
else{ ?>
		<h1>Adicionar conta Vip</h1>
		<form name='form1' method='post' action='?go=addvip&act=vervip'>
		<div class='quadros'>
		<label>Conta:</label>
		<input name="acc" type="text" id="acc" class="forms" size="15" maxlength="15" />
		<label>Plano:</label>
		<select name='plano' id='plano'>
		<option value='1'>Silver Vip</option>
		<option value='2'>Gold Vip</option>
		</select>
		<label>Tempo:</label>
		<select name='dias' id='dias'>
		<option value='30'>30 Dias</option>
		<option value='90'>90 Dias</option>
		<option value='180'>180 Dias</option>
		</select>
		<br><br>
	    <input type='submit' name='Submit' class='submit' value='Adicionar'>
		</div>
		</form>
	
<? } 
	if ($act == 'vervip') {
		$acc = $_POST['acc'];
		$plano = $_POST['plano'];
		$dias = $_POST['dias'];
		
		$dados_login_vip_q = mssql_query("SELECT * FROM MEMB_INFO WHERE memb___id = '$acc'");
		$dados_login_vip = mssql_fetch_array($dados_login_vip_q);

		if ($dados_login_vip['vip'] > 0) {
			echo "<script>alert('Esta Account já é Vip.')</script>";
			echo "<script>window.location=''</script>";
		} elseif (empty($login) || empty($plano) || empty($dias)) {
			echo "<script>alert('Você esqueceu algum Campo em Branco.')</script>";
			echo "<script>window.location=''</script>";
		} elseif (mssql_num_rows($dados_login_vip_q) <= 0) {
			echo "<script>alert('Esta Account não existe.')</script>";
			echo "<script>window.location=''</script>";
		} else {
			mssql_query("UPDATE MEMB_INFO SET vip = '$plano', creditos = '$dias' WHERE memb___id = '$acc'");
			echo "<div align='center'>Operação concluída.<br><br></div>
			<center>Conta vip adicionada á '$acc'</center>";
		}
	}
}
?>